> For a complete page index, fetch https://developer.close.com/llms.txt

# Edit Send As Associations in bulk

POST https://api.close.com/api/v1/send_as/bulk/
Content-Type: application/json

You can allow and disallow many other users to send as you in a single command by supplying the user IDs you want to allow and disallow.

Once completed, this endpoint returns all existing associations where your user is the allowing user.

Reference: https://developer.close.com/api/resources/send-as/bulk-create

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects an any.

- `any`

## Response

### 200

Successful response

## Errors

### 400 Bad Request Error

Bad request

- `any`

### 401 Unauthorized Error

Unauthorized

- `any`

### 404 Not Found Error

Not found

- `any`

## Examples

**Request**

```json
{
  "allowed_user_ids": [
    "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
  ],
  "disallowed_user_ids": [
    "user_SJMF1fEyZGdtl2RPzCm9zVQ7qhd33VajdGDREhbsxjF"
  ]
}
```

**Response**

```json
{
  "data": [
    {
      "allowed_user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "allowing_user_id": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
      "id": "sdas_3KlXHOKx4afZ19TfpxMISa",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.close.com/api/v1/send_as/bulk/"

payload = {
    "allowed_user_ids": ["user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"],
    "disallowed_user_ids": ["user_SJMF1fEyZGdtl2RPzCm9zVQ7qhd33VajdGDREhbsxjF"]
}
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript
const url = 'https://api.close.com/api/v1/send_as/bulk/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {
  method: 'POST',
  headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'},
  body: '{"allowed_user_ids":["user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"],"disallowed_user_ids":["user_SJMF1fEyZGdtl2RPzCm9zVQ7qhd33VajdGDREhbsxjF"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/send_as/bulk/"

	payload := strings.NewReader("{\n  \"allowed_user_ids\": [\n    \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\"\n  ],\n  \"disallowed_user_ids\": [\n    \"user_SJMF1fEyZGdtl2RPzCm9zVQ7qhd33VajdGDREhbsxjF\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/send_as/bulk/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"allowed_user_ids\": [\n    \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\"\n  ],\n  \"disallowed_user_ids\": [\n    \"user_SJMF1fEyZGdtl2RPzCm9zVQ7qhd33VajdGDREhbsxjF\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.close.com/api/v1/send_as/bulk/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .header("Content-Type", "application/json")
  .body("{\n  \"allowed_user_ids\": [\n    \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\"\n  ],\n  \"disallowed_user_ids\": [\n    \"user_SJMF1fEyZGdtl2RPzCm9zVQ7qhd33VajdGDREhbsxjF\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.close.com/api/v1/send_as/bulk/', [
  'body' => '{
  "allowed_user_ids": [
    "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
  ],
  "disallowed_user_ids": [
    "user_SJMF1fEyZGdtl2RPzCm9zVQ7qhd33VajdGDREhbsxjF"
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/send_as/bulk/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"allowed_user_ids\": [\n    \"user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA\"\n  ],\n  \"disallowed_user_ids\": [\n    \"user_SJMF1fEyZGdtl2RPzCm9zVQ7qhd33VajdGDREhbsxjF\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```